echo -----
printenv ipaddr
printenv kernel_addr_r
printenv ramdisk_addr_r
echo -----
tftp ${kernel_addr_r} zImage
fatwrite mmc 0:1 ${fileaddr} zImage ${filesize}

tftp ${ramdisk_addr_r} rootfs.cpio.uboot
fatwrite mmc 0:1 ${fileaddr} rootfs.cpio.uboot ${filesize}
echo -----
echo Update Done
echo -----
